org.apache.commons.io.filefilter

## Interface ConditionalFileFilter

All Known Implementing Classes:
  AndFileFilter, OrFileFilter

    public interface ConditionalFileFilter

Defines operations for conditional file filters.

Since:
  1.1
Version:
  $Id$

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addFileFilter(IOFileFilter ioFileFilter)` Adds the specified file filter to the list of file filters at the end of the list.
`List<IOFileFilter>` `getFileFilters()` Returns this conditional file filter's list of file filters.
`boolean` `removeFileFilter(IOFileFilter ioFileFilter)` Removes the specified file filter.
`void` `setFileFilters(List<IOFileFilter> fileFilters)` Sets the list of file filters, replacing any previously configured file filters on this filter.

### Method Detail

#### addFileFilter

    void addFileFilter(IOFileFilter ioFileFilter)

Adds the specified file filter to the list of file filters at the end of the list.

Parameters:
  `ioFileFilter` - the filter to be added
Since:
  1.1

#### getFileFilters

    List<IOFileFilter> getFileFilters()

Returns this conditional file filter's list of file filters.

Returns:
  the file filter list
Since:
  1.1

#### removeFileFilter

    boolean removeFileFilter(IOFileFilter ioFileFilter)

Removes the specified file filter.

Parameters:
  `ioFileFilter` - filter to be removed
Returns:
  `true` if the filter was found in the list, `false` otherwise
Since:
  1.1

#### setFileFilters

    void setFileFilters(List<IOFileFilter> fileFilters)

Sets the list of file filters, replacing any previously configured file filters on this filter.

Parameters:
  `fileFilters` - the list of filters
Since:
  1.1